# Get address from all generated addresses across domains

Endpoint: GET /v1/addresses
Security: httpAuth

## Security:

  - `httpAuth` (unknown)
    http bearer

## Query parameters:

  - `address` (string, required)
    Address required and only one for getting entities matching this address.

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.id` (string, required)

  - `items.address` (string, required)

  - `items.ledgerId` (string, required)

  - `items.domainId` (string, required)

  - `items.accountId` (string, required)

  - `items.createdAt` (string, required)

  - `items.custodyType` (string, required)
    Enum: "SelfCustody", "SubCustody"

  - `items.type` (string, required)
    Enum: "AccountAddressReference"

  - `count` (integer, required)

  - `currentStartingAfter` (string)

  - `nextStartingAfter` (string)

## Response 400:

  - `400` (unknown)
    Invalid value for: query parameter address

## Response 401:

  - `401` (unknown)
    One of: Invalid JWT (InvalidJwtError); User not authorized (PermissionDeniedError)

## Response 401 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

